Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client.cache
Class DefaultHttpCacheEntrySerializer

    java.lang.Object
      org.apache.http.impl.client.cache.DefaultHttpCacheEntrySerializer

All Implemented Interfaces:
  HttpCacheEntrySerializer

    @Immutable
    public class DefaultHttpCacheEntrySerializer

extends Object
implements HttpCacheEntrySerializer

`HttpCacheEntrySerializer` implementation that uses the default (native) serialization.

Since:
  4.1
See Also:
  `Serializable`

Constructor Summary
`DefaultHttpCacheEntrySerializer()`

Method Summary
`HttpCacheEntry` | `readFrom(InputStream is)` Deserializes a byte representation of a cache entry by reading from the given `InputStream`.
`void` | `writeTo(HttpCacheEntry cacheEntry, OutputStream os)` Serializes the given entry to a byte representation on the given `OutputStream`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHttpCacheEntrySerializer

    public DefaultHttpCacheEntrySerializer()

Method Detail

### writeTo

    public void writeTo(HttpCacheEntry cacheEntry,
                        OutputStream os)
                 throws IOException

  Description copied from interface: `HttpCacheEntrySerializer`
  Serializes the given entry to a byte representation on the given `OutputStream`.

  Specified by:
    `writeTo` in interface `HttpCacheEntrySerializer`
  Throws:
    `IOException`

### readFrom

    public HttpCacheEntry readFrom(InputStream is)
                            throws IOException

  Description copied from interface: `HttpCacheEntrySerializer`
  Deserializes a byte representation of a cache entry by reading from the given `InputStream`.

  Specified by:
    `readFrom` in interface `HttpCacheEntrySerializer`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.